#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private SpyBotTrendIndicator_V_1_1[] cacheSpyBotTrendIndicator_V_1_1;

		
		public SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			return SpyBotTrendIndicator_V_1_1(Input, show, maType, ribbon_Base, ribbon_Increment, soundAlert, risingAlert, fallingAlert);
		}


		
		public SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(ISeries<double> input, bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			if (cacheSpyBotTrendIndicator_V_1_1 != null)
				for (int idx = 0; idx < cacheSpyBotTrendIndicator_V_1_1.Length; idx++)
					if (cacheSpyBotTrendIndicator_V_1_1[idx].Show == show && cacheSpyBotTrendIndicator_V_1_1[idx].maType == maType && cacheSpyBotTrendIndicator_V_1_1[idx].Ribbon_Base == ribbon_Base && cacheSpyBotTrendIndicator_V_1_1[idx].Ribbon_Increment == ribbon_Increment && cacheSpyBotTrendIndicator_V_1_1[idx].SoundAlert == soundAlert && cacheSpyBotTrendIndicator_V_1_1[idx].RisingAlert == risingAlert && cacheSpyBotTrendIndicator_V_1_1[idx].FallingAlert == fallingAlert && cacheSpyBotTrendIndicator_V_1_1[idx].EqualsInput(input))
						return cacheSpyBotTrendIndicator_V_1_1[idx];
			return CacheIndicator<SpyBotTrendIndicator_V_1_1>(new SpyBotTrendIndicator_V_1_1(){ Show = show, maType = maType, Ribbon_Base = ribbon_Base, Ribbon_Increment = ribbon_Increment, SoundAlert = soundAlert, RisingAlert = risingAlert, FallingAlert = fallingAlert }, input, ref cacheSpyBotTrendIndicator_V_1_1);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			return indicator.SpyBotTrendIndicator_V_1_1(Input, show, maType, ribbon_Base, ribbon_Increment, soundAlert, risingAlert, fallingAlert);
		}


		
		public Indicators.SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(ISeries<double> input , bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			return indicator.SpyBotTrendIndicator_V_1_1(input, show, maType, ribbon_Base, ribbon_Increment, soundAlert, risingAlert, fallingAlert);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			return indicator.SpyBotTrendIndicator_V_1_1(Input, show, maType, ribbon_Base, ribbon_Increment, soundAlert, risingAlert, fallingAlert);
		}


		
		public Indicators.SpyBotTrendIndicator_V_1_1 SpyBotTrendIndicator_V_1_1(ISeries<double> input , bool show, SpyBotTrendIndicator_V_1_1Enums.maTypeEnum maType, int ribbon_Base, int ribbon_Increment, bool soundAlert, string risingAlert, string fallingAlert)
		{
			return indicator.SpyBotTrendIndicator_V_1_1(input, show, maType, ribbon_Base, ribbon_Increment, soundAlert, risingAlert, fallingAlert);
		}

	}
}

#endregion
